Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.feature
Class AbstractSigningFeature

    java.lang.Object
      be.ehealth.technicalconnector.ws.feature.GenericFeature
          be.ehealth.technicalconnector.ws.feature.AbstractSigningFeature

Direct Known Subclasses:
  SHA1Feature, SHA256Feature

    public abstract class AbstractSigningFeature

extends GenericFeature

Field Summary
`static String` | `EC_DIGEST_METHOD_ALGORITHM`
`static String` | `EC_SIGNATURE_METHOD_ALGORITHM`
`static String` | `ID`
`static String` | `RSA_DIGEST_METHOD_ALGORITHM`
`static String` | `RSA_SIGNATURE_METHOD_ALGORITHM`

Constructor Summary
`AbstractSigningFeature()`

Method Summary
`String` | `getID()` Get the unique identifier for this WebServiceFeature.
`Map<String,Object>` | `requestParamOptions()`

Methods inherited from class be.ehealth.technicalconnector.ws.feature.GenericFeature
`getHandlers, isEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

See Also:
  Constant Field Values

### EC_SIGNATURE_METHOD_ALGORITHM

    public static final String EC_SIGNATURE_METHOD_ALGORITHM

See Also:
  Constant Field Values

### RSA_SIGNATURE_METHOD_ALGORITHM

    public static final String RSA_SIGNATURE_METHOD_ALGORITHM

See Also:
  Constant Field Values

### RSA_DIGEST_METHOD_ALGORITHM

    public static final String RSA_DIGEST_METHOD_ALGORITHM

See Also:
  Constant Field Values

### EC_DIGEST_METHOD_ALGORITHM

    public static final String EC_DIGEST_METHOD_ALGORITHM

See Also:
  Constant Field Values

Constructor Detail

### AbstractSigningFeature

    public AbstractSigningFeature()

Method Detail

### getID

    public String getID()

  Description copied from class: `GenericFeature`
  Get the unique identifier for this WebServiceFeature.

  Specified by:
    `getID` in class `GenericFeature`
  Returns:
    the unique identifier for this feature.

### requestParamOptions

    public Map<String,Object> requestParamOptions()

  Overrides:
    `requestParamOptions` in class `GenericFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.